Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: SUSE 11.4 & Canon PIXMA ip2700 - won't print

  1. #1

    Default SUSE 11.4 & Canon PIXMA ip2700 - won't print

    Hi,

    So, I plugged in the USB, and it gave me a couple of options, incl ip2000 series, so I clicked through, then I tried to print a page, and nothing happened, tried to print a test page... nothing....

    so I went here to try get drivers:
    HKL/Drucker

    Printer propperties tells me:
    Idel - rendering complete


    any Ideas?

    Thanks in advance.

  2. #2

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    So I deleted the printer, re-installed the drivers, plugged in the printer again.
    Suse recognised that it is a canon, but only had an option for iP2000 series, not the iP2700,
    ...when I try to print the test page or a document, it processes it ...and seems to think it printed, and goes back to idel?

    any ideas?

  3. #3
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,721

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    And the logs?
    Code:
    cat /var/log/cups/error_log

  4. #4

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    till@linux-0ufc:~> cat /var/log/cups/error_log
    E [28/Mar/2011:19:23:03 +0200] [CGI] Unable to scan "@LOCAL"!
    E [29/Mar/2011:14:21:00 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:21:13 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:21:17 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:37:18 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:37:24 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:37:27 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:40:17 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:40:20 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:58:51 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:58:55 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:58:59 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:59:35 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:15:00:16 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:15:00:35 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:15:00:38 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:15:02:18 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:32:44 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:32:57 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:33:01 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [29/Mar/2011:14:37:33 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [30/Mar/2011:15:32:06 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [30/Mar/2011:15:32:10 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    E [30/Mar/2011:15:32:14 +0200] [cups-driverd] Bad driver information file "/usr/share/cups/drv/sample.drv"!
    till@linux-0ufc:~>

  5. #5

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    I also downloaded "cnijfilter-ip2700series-3.30-1-i386-rpm" from canon.com
    There are 2 folders - "Packages" and "Resources" and a install.sh file in it...
    I ran the "install.sh" file, it asked for my password, but nothing happened!?

  6. #6
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,721

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    Canon

    Do you read this?

    Plesae do not dobbleklick the install.sh, open a terminal, go to the folder where install.sh is, type
    Code:
    su
    enter root`s password and then run the script:
    Code:
    ./install.sh
    Then you will get an output.

  7. #7

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    linux-0ufc:/home/till # ./install.sh
    bash: ./install.sh: No such file or directory
    linux-0ufc:/home/till # '/home/till/Downloads/cnijfilter-ip2700series-3.30-1-i386-rpm/install.sh'
    ==================================================

    Canon Inkjet Printer Driver Ver.3.30-1 for Linux
    Copyright CANON INC. 2001-2010
    All Rights Reserved.

    ==================================================
    Command executed = rpm -Uvh /home/till/Downloads/cnijfilter-ip2700series-3.30-1-i386-rpm/packages/cnijfilter-common-3.30-1.i386.rpm
    Preparing... ########################################### [100%]
    1:cnijfilter-common ########################################### [100%]
    Command executed = rpm -Uvh /home/till/Downloads/cnijfilter-ip2700series-3.30-1-i386-rpm/packages/cnijfilter-ip2700series-3.30-1.i386.rpm
    error: Failed dependencies:
    libpng12.so.0 is needed by cnijfilter-ip2700series-3.30-1.i386
    Command executed = rpm -e cnijfilter-common


    -----------------------------------------------------------------------------------------------------

    Still will not print....
    Sorry, I have no Idea how to get this thing working

  8. #8

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    ....but I see something with "Failed dependencies there??? how do I fix that?

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,721

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    Code:
    zypper wp libpng12.so.0
    Daten des Repositorys laden ...
    Installierte Pakete lesen ...
    S | Name             | Typ   | Version    | Arch   | Repository       
    --+------------------+-------+------------+--------+------------------
    i | libpng12-0       | Paket | 1.2.44-7.1 | x86_64 | openSUSE-11.4-Oss
    v | libpng12-0       | Paket | 1.2.44-7.1 | i586   | openSUSE-11.4-Oss
    i | libpng12-0-32bit | Paket | 1.2.44-7.1 | x86_64 | openSUSE-11.4-Oss
    Install
    Code:
    zypper in libpng12-0
    as root

  10. #10

    Default Re: SUSE 11.4 & Canon PIXMA ip2700 - won't print

    linux-0ufc:/home/till # zypper wp libpng12.so.0
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Retrieving repository 'Updates for openSUSE 11.4 11.4-0' metadata [\]**
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Retrieving repository 'Updates for openSUSE 11.4 11.4-0' metadata [\]**
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Retrieving repository 'Updates for openSUSE 11.4 11.4-0' metadata [/]**
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Retrieving repository 'Updates for openSUSE 11.4 11.4-0' metadata [done]
    Building repository 'Updates for openSUSE 11.4 11.4-0' cache [done]
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Retrieving repository 'packman' metadata [/]**
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Retrieving repository 'packman' metadata [done]
    Building repository 'packman' cache [done]
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Loading repository data...
    Reading installed packages...
    S | Name | Type | Version | Arch | Repository
    --+------------+---------+------------+------+---------------------
    | libpng12-0 | package | 1.2.44-7.1 | i586 | openSUSE-11.4-Oss
    | libpng12-0 | package | 1.2.44-7.1 | i586 | openSUSE-11.4-11.4-0
    linux-0ufc:/home/till # Daten des Repositorys laden ...
    If 'Daten' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf Daten
    linux-0ufc:/home/till # Installierte Pakete lesen ...
    If 'Installierte' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf Installierte
    linux-0ufc:/home/till # S | Name | Typ | Version | Arch | Repository
    If 'Repository' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf Repository
    linux-0ufc:/home/till # --+------------------+-------+------------+--------+------------------
    If '--+------------------+-------+------------+--------+------------------' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf --+------------------+-------+------------+--------+------------------
    linux-0ufc:/home/till # i | libpng12-0 | Paket | 1.2.44-7.1 | x86_64 | openSUSE-11.4-Oss
    If 'openSUSE-11.4-Oss' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf openSUSE-11.4-Oss
    linux-0ufc:/home/till # v | libpng12-0 | Paket | 1.2.44-7.1 | i586 | openSUSE-11.4-Oss
    If 'openSUSE-11.4-Oss' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf openSUSE-11.4-Oss
    linux-0ufc:/home/till # i | libpng12-0-32bit | Paket | 1.2.44-7.1 | x86_64 | openSUSE-11.4-Oss
    If 'openSUSE-11.4-Oss' is not a typo you can use command-not-found to lookup the package that contains it, like this:
    cnf openSUSE-11.4-Oss
    linux-0ufc:/home/till # zypper in libpng12-0
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...

    The following NEW package is going to be installed:
    libpng12-0

    1 new package to install.
    Overall download size: 73.0 KiB. After the operation, additional 166.0 KiB will
    be used.
    Continue? [y/n/?] (y): y
    Retrieving package libpng12-0-1.2.44-7.1.i586 (1/1), 73.0 KiB (166.0 KiB unpacked)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Retrieving: libpng12-0-1.2.44-7.1.i586.rpm [starting]**
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    **
    GLib-GIO:ERROR:gdbusconnection.c:2279:initable_init: assertion failed: (connection->initialization_error == NULL)
    Retrieving: libpng12-0-1.2.44-7.1.i586.rpm [done (0 B/s)]
    Installing: libpng12-0-1.2.44-7.1 [done]
    linux-0ufc:/home/till #

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •